summaryrefslogtreecommitdiff
path: root/plugins/rbw/rbw.plugin.zsh
diff options
context:
space:
mode:
Diffstat (limited to 'plugins/rbw/rbw.plugin.zsh')
-rw-r--r--plugins/rbw/rbw.plugin.zsh30
1 files changed, 30 insertions, 0 deletions
diff --git a/plugins/rbw/rbw.plugin.zsh b/plugins/rbw/rbw.plugin.zsh
index 56683ad06..523e35aff 100644
--- a/plugins/rbw/rbw.plugin.zsh
+++ b/plugins/rbw/rbw.plugin.zsh
@@ -17,3 +17,33 @@ if [[ ! -f "$ZSH_CACHE_DIR/completions/_rbw" ]]; then
fi
rbw gen-completions zsh >| "$ZSH_CACHE_DIR/completions/_rbw" &|
+
+# rbwpw function copies the password of a service to the clipboard
+# and clears it after 20 seconds
+function rbwpw {
+ if [[ $# -ne 1 ]]; then
+ echo "usage: rbwpw <service>"
+ return 1
+ fi
+ local service=$1
+ if ! rbw unlock; then
+ echo "rbw is locked"
+ return 1
+ fi
+ local pw=$(rbw get $service 2>/dev/null)
+ if [[ -z $pw ]]; then
+ echo "$service not found"
+ return 1
+ fi
+ echo -n $pw | clipcopy
+ echo "password for $service copied!"
+ {sleep 20 && clipcopy </dev/null 2>/dev/null} &|
+}
+
+function _rbwpw {
+ local -a services
+ services=("${(@f)$(rbw ls 2>/dev/null)}")
+ [[ -n "$services" ]] && compadd -a -- services
+}
+
+compdef _rbwpw rbwpw